petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscObjectGetOptions

Gets the options database used by the object. Call immediately after creating the object.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectGetOptions(PetscObject obj,PetscOptions *options)

Collective on PetscObject

### Input Parameter

obj -any PETSc object, for example a Vec, Mat or KSP.

### Output Parameter

options -the options database

### Notes

if this is not called the object will use the default options database

### See Also

PetscOptionsCreate(), PetscOptionsDestroy(), PetscObjectSetOptionsPrefix(), PetscObjectAppendOptionsPrefix(), PetscObjectPrependOptionsPrefix(),
PetscObjectGetOptionsPrefix(), PetscObjectSetOptions()

### Level

advanced

### Location

src/sys/objects/prefix.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages